会煮咖啡的猫

V1

2022/12/05阅读:26主题:凝夜紫

Mac Flutter 安装,解决 Android SDK 管理器没有发现问题

Mac Flutter 安装,解决 Android SDK 管理器没有发现问题

原文 https://ishanmalviya.com/flutter-installation-on-mac-solving-android-sdk-manager-not-found-issue-9aeb7776b928

前言

本文将会告诉你如何如何 Mac 下解决 Android SDK 管理器没有发现问题。

对于那些希望自己的应用程序能同时在移动平台、 iOS 和 Android 上使用的开发者/公司来说,Flutter 是一个令人兴奋的提议。

其他跨平台选项也是可用的,比如 Cordova、 React ativeand 甚至 Kotlin 多平台(在某种程度上) ,但我们在这里不是为了批判性地分析这些选项,并帮助决定采用哪种解决方案。

正文

安装 flutter sdk

要在 Mac 上安装 flutter,可以按照下面共享链接提供的步骤:

要安装和运行 Flutter,您的开发环境必须满足以下最低要求: 操作系统: macOS..。

https://docs.flutter.dev/get-started/install/macos

安装完成后,要验证安装,您需要运行以下命令:

执行检查

flutter doctor

当您第一次安装 flutter 时,您可能会被要求接受 android 许可,因为要运行的命令是:

flutter doctor --android-licenses

在这一点上,您可能会遇到一个错误,说明如下:

Android sdkmanager not found. Update to the latest Android SDK and ensure that the cmdline-tools are installed to resolve this.

处理错误

遇到这个问题是因为 flutter 找不到 Android SDK 工具和 Android SDK 命令行工具。

随着 Android Studio 的更新版本,Android SDK 工具已经过时,因此默认情况下不会安装。这就是我们面临的问题的根本原因。

要解决这个问题,您需要手动安装 SDK 工具,让我们看看如何做到这一点。

启动 Android Studio 打开菜单 Tools -> SDK Manager

在 SDK 管理器中转到 SDK 工具选项卡

由于工具已过时,您必须取消选中“隐藏过时的软件包”框。一旦完成,您将能够在列表中看到以下软件包:

  • Android SDK Tools
  • Android SDK Command-line Tools

选择两个并按 Apply/Ok 安装这些。

现在一切就绪,再次运行命令接受 Android 许可,错误现在应该已经消失,您将能够继续您的 Flutter 之旅。

结束语

如果本文对你有帮助,请转发让更多的朋友阅读。

也许这个操作只要你 3 秒钟,对我来说是一个激励,感谢。

祝你有一个美好的一天~


© 猫哥

  • 微信 ducafecat

  • https://wiki.ducafecat.tech

  • https://video.ducafecat.tech

分类:

移动端开发

标签:

Android

作者介绍

会煮咖啡的猫
V1

flutter node go dock